package common;

import java.io.IOException;
import java.io.OutputStream;
import java.nio.ByteBuffer;
import java.nio.channels.WritableByteChannel;

public class OutputStreamWritableByteChannel implements WritableByteChannel {

	private OutputStream out;
	private byte buffer[]=new byte[256*256];
	
	public OutputStreamWritableByteChannel(OutputStream out) {
		this.out=out;
	}
	@Override
	public int write(ByteBuffer src) throws IOException {
		int total=0;
		while (src.remaining() > 0) {
			int bytes=Math.min(buffer.length, src.remaining());
			src.get(buffer, 0, bytes);
			out.write(buffer, 0, bytes);
			total +=bytes;
		}
		return total;
	}

	@Override
	public void close() throws IOException {
		if (out != null) {
			out.close();
		}
		out=null;
	}

	@Override
	public boolean isOpen() {
		return out != null;
	}

}
