package common.packet;

public class Packet implements ClockReferenceI {
	private int streamId;
	private int index;
	protected PacketPart payload;
	
	public Packet(int streamId, int index) {
		this.streamId=streamId;
		this.index=index;
	}
	
	public int getStreamId() {
		return streamId;
	}
	public void setStreamId(int streamId) {
		this.streamId = streamId;
	}
	public int getIndex() {
		return index;
	}
	public void setIndex(int sequence) {
		this.index = sequence;
	}

	public PacketPart getPayload() {
		return payload;
	}

	public void setPayload(PacketPart payload) {
		this.payload = payload;
	}
	public String toString() {
		StringBuffer sb=new StringBuffer("Stream: 0x");
		sb.append(Integer.toString(streamId, 16));
		if (payload != null) {
			sb.append(":");
			sb.append(payload.toString());
		}
		return sb.toString();
	}
	public void offset(long clockOffset) {
		this.payload.offsetClock(clockOffset);
	}
	public long getClockReference(int type) {
		return payload.getClockReference(type);
	}
}
