package muxer.demux;

import java.io.IOException;

import common.StreamDescriptor;
import common.packet.Packet;
import common.packet.PesPacket;

public class PesDemuxerMuxer extends RawDemuxerMuxer {

	public PesDemuxerMuxer(String fileNamePrefix) {
		super(fileNamePrefix);
	}
	
	protected void write(Packet packet, StreamData data) throws IOException {
		if (packet instanceof PesPacket) {
			PesPacket pesPacket=(PesPacket)packet;
			if (pesPacket.getHeader() != null) {
				pesPacket.getHeader().write(data.out);
			}
		}
		super.write(packet, data);
	}
	
	protected String getFileName(StreamDescriptor streamDescriptor) {
		return fileNamePrefix + '_' + Integer.toHexString(streamDescriptor.getStreamId())+streamDescriptor.getFileNameExtension() + ".mpg";
	}
}
	
