package muxer.ts;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.nio.channels.WritableByteChannel;
import java.util.ArrayList;
import java.util.Map;

import muxer.MuxManager;

import common.FileStream;
import common.Job;

import demux.ts.TsRawDemuxer;

public class M2tsRawMuxer extends TsRawMuxer {
	
	public M2tsRawMuxer(WritableByteChannel out) {
		super(new M2tsPacketWriter(out));
	}

	public static void main(String args[]) {
		String fileName="F:/Black Hawk Down.ts";
		try {
			FileStream fileJob=new FileStream(new Job(null), new File[]{new File(fileName)});
			TsRawDemuxer demuxer=new TsRawDemuxer();
			MuxManager muxManager=new MuxManager(demuxer);
			Map map=muxManager.getStreamDescriptorMap(fileJob);
			ArrayList streamList=new ArrayList(3);
			demuxer.setStreams(streamList);
			System.out.println(map);
			//muxManager.add(new M2tsRawMuxer(new File("F:/Black Hawk Down.m2ts")));
			muxManager.add(new M2tsRawMuxer(new FileOutputStream("F:/Black Hawk Down.m2ts").getChannel()));
			muxManager.mux(fileJob);
			//PacketBuffer packetBuffer=muxManager.getPacketBuffer();
			//packetBuffer.setRegulator(PacketBuffer.ALWAYS_FULL);
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}
}
